Subject: Re: [PATCH v2 0/4] Disable compat cruft on ppc64le v2

From: Michal Suchánek <[email-masked]>
Date: Wed, 28 Aug 2019 16:37:57 +0200

On Wed, 28 Aug 2019 13:08:48 +0000
Christophe Leroy <[email-masked]> wrote:

> On 08/28/2019 10:30 AM, Michal Suchanek wrote:
> > With endian switch disabled by default the ppc64le compat supports
> > ppc32le only which is something next to nobody has binaries for.
> > 
> > Less code means less bugs so drop the compat stuff.
> > 
> > I am not particularly sure about the best way to resolve the llseek
> > situation. I don't see anything in the syscal tables making it
> > 32bit-only so I suppose it should be available on 64bit as well.
> > 
> > This is tested on ppc64le top of  
> 
> Really ?

Really. It boots with the unused variable. It might depend on some
config options or gcc features if unused variables are fatal.

Thanks

Michal